%define major 2
%define minor 2
%define	libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticname %mklibname %{name} -s -d

%define with_pcre	1
%define with_png	1
%define with_onig	0

%define _disable_ld_no_undefined 1

Summary:	The shared library for the S-Lang extension language
Name:		slang
Version:	2.3.0
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.s-lang.org
Source0:	http://www.jedsoft.org/releases/%{name}/%{name}-%{version}.tar.bz2
Source1:	http://www.jedsoft.org/releases/%{name}/%{name}-%{version}.tar.bz2.asc
Patch1:		slang-2.3.0-makefile.patch
Patch2:		slang-sighuptest.patch
Patch3:		slang-dupdeclaration.patch
Patch4:		slang-SLANG_LIB_FOR_MODULES.diff
BuildRequires:	glibc-devel
%if %{with_png}
BuildRequires:	libpng-devel
%endif
BuildRequires:	libtool
%if %{with_pcre}
BuildRequires:	pcre-devel
%endif
%if %{with_onig}
BuildRequires:	onig-devel
%endif
BuildConflicts:	slang-devel

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package -n %{libname}
Summary:	The shared library for the S-Lang extension language
Group:		System/Libraries
Provides:	slang
Obsoletes:	slang < 2.1.4

%description -n	%{libname}
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package -n %{develname}
Summary:	The library and header files for development using S-Lang
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	slang-devel < 2.1.4
Obsoletes:	%{mklibname slang 2 -d}
Requires:	%{libname} = %{version}
Conflicts:	%{mklibname slang 1 -d}

%description -n	%{develname}
This package contains the S-Lang extension language libraries and
header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.

Install the slang-devel package if you want to develop applications
based on the S-Lang extension language.

%package -n %{staticname}
Summary:	Static development files for %{name}
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Obsoletes:	%{mklibname slang 2 -d -s}

%description -n %{staticname}
Static development files for %{name}.

%package doc
Summary:	Extra documentation for slang libraries
Group:		Documentation

%description doc
This package contains documentation about S-Lang.
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package slsh
Summary:	S-Lang script interpreter
Group:		Shells
Provides:	%{_bindir}/slsh

%description slsh
slsh is a program that embeds the S-Lang interpreter and may be used
to test slang scripts.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--includedir=%{_includedir}/slang \
	--with-zlib=%{_libdir} --with-zinc=%{_includedir} \
	%if %{with_onig}
	--with-onig \
	%endif
	%if %{with_png}
	--with-pnginc=%{_includedir} \
	--with-pnglib=%{_libdir} \
	%endif
	%if %{with_pcre}
	--with-pcreinc=%{_includedir} \
	--with-pcrelib=%{_libdir}
	%endif

%make static all

%check
make check

%install
%makeinstall_std DESTDIR=%{buildroot} install-static install

# Remove unwanted files
%if !%{with_pcre}
rm -f %{buildroot}%{_libdir}/slang/v%{major}/modules/pcre-module.so
%endif
%if !%{with_png}
rm -f %{buildroot}%{_libdir}/slang/v%{major}/modules/png-module.so
%endif
%if !%{with_onig}
rm -f %{buildroot}%{_libdir}/slang/v%{major}/modules/onig-module.so
%endif

%files -n %{libname}
%{_libdir}/libslang.so.%{major}*
%dir %{_libdir}/slang
%{_libdir}/slang/v%{major}

%files -n %{develname}
%{_libdir}/libslang.so
%dir %{_includedir}/slang/
%{_includedir}/slang/*.h
%{_libdir}/pkgconfig/slang.pc

%files -n %{staticname}
%{_libdir}/libslang.a

%files doc
%{_defaultdocdir}/slang

%files slsh
%doc %{_docdir}/slsh
%{_bindir}/slsh
%{_datadir}/slsh
%{_mandir}/man1/slsh.1*
%config %{_sysconfdir}/slsh.rc




%changelog
* Sat Dec 26 2015 luigiwalser <luigiwalser> 2.3.0-1.mga6
+ Revision: 915268
- 2.3.0
- fix source URL
- rediff build fix patches (now patches 1 and 4)
- add two build fix patches from fedora (patches 2 and 3)
- disable incorrect linking error

* Wed Oct 15 2014 umeabot <umeabot> 2.2.4-14.mga5
+ Revision: 746827
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.2.4-13.mga5
+ Revision: 725234
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.4-12.mga5
+ Revision: 689190
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 tv <tv> 2.2.4-11.mga5
+ Revision: 638034
- drop uclibc & dietlibc builds now that stage1 is linked against glibc

* Wed Jun 18 2014 tv <tv> 2.2.4-10.mga5
+ Revision: 638029
- fix detecting libpng & libpcre on 64bit (mga#13533, Oleg Bosis)

* Sat Oct 19 2013 umeabot <umeabot> 2.2.4-9.mga4
+ Revision: 526011
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 2.2.4-8.mga4
+ Revision: 435502
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 2.2.4-7.mga3
+ Revision: 382154
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 2.2.4-6.mga3
+ Revision: 323689
- rebuild for new pcre

* Sun Oct 14 2012 ennael <ennael> 2.2.4-5.mga3
+ Revision: 305467
- Documentation group

* Fri Jun 01 2012 tv <tv> 2.2.4-4.mga3
+ Revision: 252922
- add dietlibc & uclibc builds

* Sun Sep 11 2011 fwang <fwang> 2.2.4-3.mga2
+ Revision: 142328
- rebuild for new libpng

  + rtp <rtp>
    - Fix build (drop obselete patch0, rediff patch2)

  + tv <tv>
    - new release

* Tue Jan 11 2011 blino <blino> 2.2.2-4.mga1
+ Revision: 6192
- do not buildrequire X11-devel, not needed
- remove obsolete macros
- imported package slang

